<#assign base=request.contextPath />
<html  class="no-js fixed-layout">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>项目四算管理系统</title>
    <meta name="description" content="项目四算管理系统">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <link rel="icon" type="image/png" href="${base}/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="${base}/favicon.png">
    <meta name="apple-mobile-web-app-title" content="项目四算管理系统" />
    <link rel="stylesheet" href="${base}/assets/css/amazeui.min.css"/>
    <link rel="stylesheet" href="${base}/assets/css/admin.css">

    <style type="text/css" media="screen">
        /*箭头向左*/
        .arrow-left {
            width:0;
            height:0;
            border-top:12px solid transparent;
            border-bottom:12px solid transparent;
            border-right:12px solid #0e90d2;
        }
        /*箭头向右*/
        .arrow-right {
            width:0;
            height:0;
            border-top:12px solid transparent;
            border-bottom: 12px solid transparent;
            border-left: 12px solid #0e90d2;
        }
        .arrow-position{
            position: absolute;
            top:50%;
        }
    </style>

    <#include "../common/import.ftl"/>
</head>
<body>
<#include "../common/header.ftl">
<div  class="am-cf admin-main">
    <#include "../common/sidebar.ftl">
    <div id="main" role="main"  class="admin-content" style="overflow-y: hidden;">
        <div id="content" style="padding: 0px; min-height: 100%;">
            <div data-am-popover="{theme:'primary sm',content:'点击隐藏菜单栏',trigger:'hover focus'}" class="arrow-left arrow-position" id="arrow"></div>
            <iframe name="mainFrame" id="mainFrame" <#--onLoad="iFrameHeight()"--> width="100%" height="100%"  src="${base}/admin/console?uid=2" scrolling="no"
                    frameborder="no" border="0" marginwidth="0" marginheight="0"
                    allowtransparency="yes">
            </iframe>
        </div>

    </div>
</div>
<a href="#" class="am-icon-btn am-icon-th-list am-show-sm-only admin-menu" data-am-offcanvas="{target: '#admin-offcanvas'}"></a>
<script src="${base}/common/js/iframeResizer.min.js"></script>
<#--<script src="http://libs.baidu.com/jquery/1.11.1/jquery.min.js"></script>-->
<#--<script src="http://cdn.staticfile.org/modernizr/2.8.3/modernizr.js"></script>-->
<#--<script src="${base}/assets/js/amazeui.ie8polyfill.min.js"></script>
<script src="${base}/assets/js/jquery.min.js"></script>
<script src="${base}/assets/js/amazeui.min.js"></script>
<script src="${base}/assets/app.js"></script>
<script src="${base}/layer/layer.js"></script>-->
<script type="text/javascript">

    iFrameResize({
        //log                     : true,                  // Enable console logging
        minHeight               : 600,
        inPageLinks             : true,
        resizedCallback         : function(messageData){ // Callback fn when resize is received

        },
        messageCallback         : function(messageData){ // Callback fn when message is received;
            swal(messageData.message);
            //document.getElementsByTagName('iframe')[0].iFrameResizer.sendMessage('Hello back from parent page');
        },
        closedCallback         : function(id){ // Callback fn when iFrame is closed
        }
    });

    $('#change').click(function(){
        layer.open({
            type: 2,
            title: '',
            shadeClose: true,
            shade: 0.8,
            area: ['40%', '60%'],
            content: '${base}/account/password'
        });
    });

    $(function(){
        $("#arrow").on("click",function(){
            if($(this).hasClass("arrow-left")){
                $("#admin-offcanvas").addClass("am-hide");
                $(this).removeClass("arrow-left");
                $(this).addClass("arrow-right");
            }else if($(this).hasClass("arrow-right")){
                $("#admin-offcanvas").removeClass("am-hide");
                $(this).removeClass("arrow-right");
                $(this).addClass("arrow-left");
            }
        });
        $("#arrow").on("open.popover.amui",function(){
            if($(this).hasClass("arrow-left")){
                $(this).popover('setContent', '点击隐藏菜单栏');
            }else if($(this).hasClass("arrow-right")){
                $(this).popover('setContent', '点击显示菜单栏');
            }
        });
    });
</script>
</body>
</html>





