package cn.palmte.work.model;


import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface ProjectVisibleRepository extends JpaRepository<ProjectVisible, Integer> {
    List<ProjectVisible> findAllByProjectIdEqualsAndTypeEquals(int projectId, int type);
    List<ProjectVisible> findAllByProjectIdEquals(int projectId);
}
