function calculateFinal() {

    $("input[name='incomeDeviceFinalTotal']").change(function () {
        calIncomeFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });
    $("input[name='incomeEngineerFinalTotal']").change(function () {
        calIncomeFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });
    $("input[name='incomeServiceFinalTotal']").change(function () {
        calIncomeFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });


    $("input[name='costPurchaseDeviceFinalTotal']").change(function () {
        calCostFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });
    $("input[name='costPurchaseBuildFinalTotal']").change(function () {
        calCostFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });
    $("input[name='costPurchaseServiceFinalTotal']").change(function () {
        calCostFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });
    $("input[name='costPurchaseOtherFinalTotal']").change(function () {
        calCostFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });
    $("input[name='costProjectManageFinalTotal']").change(function () {
        calCostFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });
    $("input[name='costOtherFinalTotal']").change(function () {
        calCostFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });


    $("input[name='costExpropriationFinalTotal']").change(function () {
        calManageFinalTotal();
        calGrossProfitFinalTotal();
        calGrossProfitProfitMargin();
    });
    $("input[name='costCompanyManageFinalTotal']").change(function () {
        calManageFinalTotal();
        calContributionMarginFinalTotal();
        calContributionMarginProfitMargin();
    });
    $("input[name='costIncomeTaxFinalTotal']").change(function () {
        calManageFinalTotal();
        calNetMarginFinalTotal();
        calNetMarginProfitMargin();
    });


    $("input[name='saleIncomeCash']").change(function () {
        //calCashFluxFinalTotal();
        calNetCashFlow();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='taxReturn']").change(function () {
        //calCashFluxFinalTotal();
        calNetCashFlow();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='earnestMoneyIncome']").change(function () {
        //calCashFluxFinalTotal();
        calNetCashFlow();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='purchaseCost']").change(function () {
        calCashFluxFinalTotal();
        calNetCashFlow();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='taxCost']").change(function () {
        // calCashFluxFinalTotal();
        calNetCashFlow();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='earnestMoneyCost']").change(function () {
        //calCashFluxFinalTotal();
        calNetCashFlow();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='netCashFlow']").change(function () {
        // calCashFluxFinalTotal();
    });
    $("input[name='cashInflowFromInvestingActivities']").change(function () {
        // calCashFluxFinalTotal();
        calNetCashFromInvestingActivities();
        calNetIncreaseMonetaryFunds();
    })
    $("input[name='cashOutflowFromInvestingActivities']").change(function () {
        //calCashFluxFinalTotal();
        calNetCashFromInvestingActivities();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='netCashFromInvestingActivities']").change(function () {
        // calCashFluxFinalTotal();
    });
    $("input[name='financingCapitalInflow']").change(function () {
        //calCashFluxFinalTotal();
        calFinancingCapitalCashflow();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='financingCapitalOutflow']").change(function () {
        //calCashFluxFinalTotal();
        calFinancingCapitalCashflow();
        calNetIncreaseMonetaryFunds();
    });
    $("input[name='financingCapitalCashflow']").change(function () {
        //calCashFluxFinalTotal();
    });
    $("input[name='netIncreaseMonetaryFunds']").change(function () {
        //calCashFluxFinalTotal();
    });


}

/**
 * 经营活动产生的现金流量净额
 */
function calNetCashFlow() {

    var saleIncomeCash = $("input[name='saleIncomeCash']").val();
    var taxReturn = $("input[name='taxReturn']").val();
    var earnestMoneyIncome = $("input[name='earnestMoneyIncome']").val();
    var purchaseCost = $("input[name='purchaseCost']").val();
    var taxCost = $("input[name='taxCost']").val();
    var earnestMoneyCost = $("input[name='earnestMoneyCost']").val();

    var netCashFlow = $("input[name='netCashFlow']");

    if (saleIncomeCash && taxReturn && earnestMoneyIncome
        && purchaseCost && taxCost && earnestMoneyCost) {
        netCashFlow.val(f2(parseFloat(saleIncomeCash) + parseFloat(taxReturn) + parseFloat(earnestMoneyIncome)
            - parseFloat(purchaseCost) - parseFloat(taxCost) - parseFloat(earnestMoneyCost)));
    } else {
        netCashFlow.val("");
    }
}

/**
 * 投资活动产生的现金流量净额
 */
function calNetCashFromInvestingActivities() {
    var cashInflowFromInvestingActivities = $("input[name='cashInflowFromInvestingActivities']").val();
    var cashOutflowFromInvestingActivities = $("input[name='cashOutflowFromInvestingActivities']").val();

    var netCashFromInvestingActivities = $("input[name='netCashFromInvestingActivities']");

    if (cashInflowFromInvestingActivities && cashOutflowFromInvestingActivities) {
        netCashFromInvestingActivities.val(f2(parseFloat(cashInflowFromInvestingActivities) - parseFloat(cashOutflowFromInvestingActivities)));
    } else {
        netCashFromInvestingActivities.val("");
    }
}

/**
 * 筹资活动产生的现金流量净额
 */
function calFinancingCapitalCashflow() {
    var financingCapitalInflow = $("input[name='financingCapitalInflow']").val();
    var financingCapitalOutflow = $("input[name='financingCapitalOutflow']").val();

    var financingCapitalCashflow = $("input[name='financingCapitalCashflow']");

    if (financingCapitalInflow && financingCapitalOutflow) {
        financingCapitalCashflow.val(f2(parseFloat(financingCapitalInflow) - parseFloat(financingCapitalOutflow)));
    } else {
        financingCapitalCashflow.val("");
    }
}

function calNetIncreaseMonetaryFunds() {
    var netCashFlow = $("input[name='netCashFlow']").val();
    var netCashFromInvestingActivities = $("input[name='netCashFromInvestingActivities']").val();
    var financingCapitalCashflow = $("input[name='financingCapitalCashflow']").val();

    var netIncreaseMonetaryFunds = $("input[name='netIncreaseMonetaryFunds']");

    if (netCashFlow && netCashFromInvestingActivities && financingCapitalCashflow) {
        netIncreaseMonetaryFunds.val(f2(parseFloat(netCashFlow) + parseFloat(netCashFromInvestingActivities) + parseFloat(financingCapitalCashflow)));
    } else {
        netIncreaseMonetaryFunds.val("");
    }
}

/**
 * 收入决算总额(不含税)，有一项没填就置空
 */
function calIncomeFinalTotal() {
    var incomeDeviceFinalTotal = $("input[name='incomeDeviceFinalTotal']").val();
    var incomeEngineerFinalTotal = $("input[name='incomeEngineerFinalTotal']").val();
    var incomeServiceFinalTotal = $("input[name='incomeServiceFinalTotal']").val();

    var incomeFinalTotal = $("input[name='incomeFinalTotal']");

    if (incomeDeviceFinalTotal && incomeEngineerFinalTotal && incomeServiceFinalTotal) {
        incomeFinalTotal.val(f2(parseFloat(incomeDeviceFinalTotal) + parseFloat(incomeEngineerFinalTotal) + parseFloat(incomeServiceFinalTotal)));
    } else {
        incomeFinalTotal.val("");
    }
}

/**
 * 成本决算总额(不含税)，有一项没填就置空
 */
function calCostFinalTotal() {
    var costPurchaseDeviceFinalTotal = $("input[name='costPurchaseDeviceFinalTotal']").val();
    var costPurchaseBuildFinalTotal = $("input[name='costPurchaseBuildFinalTotal']").val();
    var costPurchaseServiceFinalTotal = $("input[name='costPurchaseServiceFinalTotal']").val();
    var costPurchaseOtherFinalTotal = $("input[name='costPurchaseOtherFinalTotal']").val();
    var costProjectManageFinalTotal = $("input[name='costProjectManageFinalTotal']").val();
    var costOtherFinalTotal = $("input[name='costOtherFinalTotal']").val();

    var costFinalTotal = $("input[name='costFinalTotal']");

    if (costPurchaseDeviceFinalTotal && costPurchaseBuildFinalTotal && costPurchaseServiceFinalTotal &&
        costPurchaseOtherFinalTotal && costProjectManageFinalTotal && costOtherFinalTotal) {
        costFinalTotal.val(f2(parseFloat(costPurchaseDeviceFinalTotal) + parseFloat(costPurchaseBuildFinalTotal) + parseFloat(costPurchaseServiceFinalTotal) +
            parseFloat(costPurchaseOtherFinalTotal) + parseFloat(costProjectManageFinalTotal) + parseFloat(costOtherFinalTotal)));
    } else {
        costFinalTotal.val("");
    }
}


/**
 * 管理成本总额(不含税)，有一项没填就置空
 */
function calManageFinalTotal() {
    var costExpropriationFinalTotal = $("input[name='costExpropriationFinalTotal']").val();
    var costCompanyManageFinalTotal = $("input[name='costCompanyManageFinalTotal']").val();
    var costIncomeTaxFinalTotal = $("input[name='costIncomeTaxFinalTotal']").val();

    var manageFinalTotal = $("input[name='manageFinalTotal']");

    if (costExpropriationFinalTotal && costCompanyManageFinalTotal && costIncomeTaxFinalTotal) {
        manageFinalTotal.val(f2(parseFloat(costExpropriationFinalTotal) + parseFloat(costCompanyManageFinalTotal) + parseFloat(costIncomeTaxFinalTotal)));
    } else {
        manageFinalTotal.val("");
    }
}

/**
 * 现金流量表总额(不含税)，有一项没填就置空
 */
function calCashFluxFinalTotal() {
    var saleIncomeCash = $("input[name='saleIncomeCash']").val();
    var taxReturn = $("input[name='taxReturn']").val();
    var earnestMoneyIncome = $("input[name='earnestMoneyIncome']").val();
    var purchaseCost = $("input[name='purchaseCost']").val();
    var taxCost = $("input[name='taxCost']").val();
    var earnestMoneyCost = $("input[name='earnestMoneyCost']").val();
    var netCashFlow = $("input[name='netCashFlow']").val();
    var cashInflowFromInvestingActivities = $("input[name='cashInflowFromInvestingActivities']").val();
    var cashOutflowFromInvestingActivities = $("input[name='cashOutflowFromInvestingActivities']").val();
    var netCashFromInvestingActivities = $("input[name='netCashFromInvestingActivities']").val();
    var financingCapitalInflow = $("input[name='financingCapitalInflow']").val();
    var financingCapitalOutflow = $("input[name='financingCapitalOutflow']").val();
    var financingCapitalCashflow = $("input[name='financingCapitalCashflow']").val();
    var netIncreaseMonetaryFunds = $("input[name='netIncreaseMonetaryFunds']").val();

    var cashFluxFinalTotal = $("input[name='cashFluxFinalTotal']");

    if (saleIncomeCash && taxReturn && earnestMoneyIncome &&
        purchaseCost && taxCost && earnestMoneyCost &&
        netCashFlow && cashInflowFromInvestingActivities && cashOutflowFromInvestingActivities &&
        netCashFromInvestingActivities && financingCapitalInflow && financingCapitalOutflow
        && financingCapitalCashflow && netIncreaseMonetaryFunds) {
        cashFluxFinalTotal.val(f2(parseFloat(saleIncomeCash) + parseFloat(taxReturn) + parseFloat(earnestMoneyIncome) +
            parseFloat(purchaseCost) + parseFloat(taxCost) + parseFloat(earnestMoneyCost) +
            parseFloat(netCashFlow) + parseFloat(cashInflowFromInvestingActivities) + parseFloat(cashOutflowFromInvestingActivities) +
            parseFloat(netCashFromInvestingActivities) + parseFloat(financingCapitalInflow) + parseFloat(financingCapitalOutflow) +
            parseFloat(financingCapitalCashflow) + parseFloat(netIncreaseMonetaryFunds)));
    } else {
        cashFluxFinalTotal.val("");
    }
}

/**
 * 项目毛利决算总额
 */
function calGrossProfitFinalTotal() {
    var incomeFinalTotal = $("input[name='incomeFinalTotal']").val();
    var costFinalTotal = $("input[name='costFinalTotal']").val();
    var costExpropriationFinalTotal = $("input[name='costExpropriationFinalTotal']").val();

    var grossProfitFinalTotal = $("input[name='grossProfitFinalTotal']");

    if (incomeFinalTotal && costFinalTotal && costExpropriationFinalTotal) {
        grossProfitFinalTotal.val(f2(parseFloat(incomeFinalTotal) - parseFloat(costFinalTotal) - parseFloat(costExpropriationFinalTotal)));
    } else {
        grossProfitFinalTotal.val("");
    }
}

/**
 * 项目毛利利润率
 */
function calGrossProfitProfitMargin() {
    var grossProfitFinalTotal = $("input[name='grossProfitFinalTotal']").val();
    var incomeFinalTotal = $("input[name='incomeFinalTotal']").val();

    var grossProfitProfitMargin = $("input[name='grossProfitProfitMargin']");
    if (grossProfitFinalTotal && incomeFinalTotal) {
        grossProfitProfitMargin.val(f2(100 * grossProfitFinalTotal / incomeFinalTotal));
    } else {
        grossProfitProfitMargin.val("");
    }
}


/**
 * 项目贡献利润决算总额
 */
function calContributionMarginFinalTotal() {
    var grossProfitFinalTotal = $("input[name='grossProfitFinalTotal']").val();
    var costCompanyManageFinalTotal = $("input[name='costCompanyManageFinalTotal']").val();

    var contributionMarginFinalTotal = $("input[name='contributionMarginFinalTotal']");

    if (grossProfitFinalTotal && costCompanyManageFinalTotal) {
        contributionMarginFinalTotal.val(f2(parseFloat(grossProfitFinalTotal) - parseFloat(costCompanyManageFinalTotal)));
    } else {
        contributionMarginFinalTotal.val("");
    }
}

/**
 * 项目贡献利润利润率
 */
function calContributionMarginProfitMargin() {
    var contributionMarginFinalTotal = $("input[name='contributionMarginFinalTotal']").val();
    var incomeFinalTotal = $("input[name='incomeFinalTotal']").val();

    var contributionMarginProfitMargin = $("input[name='contributionMarginProfitMargin']");
    if (contributionMarginFinalTotal && incomeFinalTotal) {
        contributionMarginProfitMargin.val(f2(100 * contributionMarginFinalTotal / incomeFinalTotal));
    } else {
        contributionMarginProfitMargin.val("");
    }
}

/**
 * 项目净利润决算总额
 */
function calNetMarginFinalTotal() {
    var contributionMarginFinalTotal = $("input[name='contributionMarginFinalTotal']").val();
    var costIncomeTaxFinalTotal = $("input[name='costIncomeTaxFinalTotal']").val();


    var netMarginFinalTotal = $("input[name='netMarginFinalTotal']");

    if (contributionMarginFinalTotal && costIncomeTaxFinalTotal) {
        netMarginFinalTotal.val(f2(parseFloat(contributionMarginFinalTotal) - parseFloat(costIncomeTaxFinalTotal)));
    } else {
        netMarginFinalTotal.val("");
    }
}

/**
 * 项目净利润利润率
 */
function calNetMarginProfitMargin() {
    var netMarginFinalTotal = $("input[name='netMarginFinalTotal']").val();
    var incomeFinalTotal = $("input[name='incomeFinalTotal']").val();

    var netMarginProfitMargin = $("input[name='netMarginProfitMargin']");
    if (netMarginFinalTotal && incomeFinalTotal) {
        netMarginProfitMargin.val(f2(100 * netMarginFinalTotal / incomeFinalTotal));
    } else {
        netMarginProfitMargin.val("");
    }
}

function f2(x) {
    if(!x){
        return 0;
    }
    var f = parseFloat(x);
    if (isNaN(f)) {
        return 0;
    }
    return Math.round(x*100)/100;
}









